package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;

import java.util.Map;

public interface MWFCF7Response {

    @Parameter(name = "BONUS_AMOUNT")
    Double bonusAmount();

    @Parameter(name = "BONUS_PAY_PERIOD")
    String bonusPayPeriod();

    @Parameter(name = "BONUS_PAY_TYPE")
    String bonusPayType();

    @Parameter(name = "BONUS_TOTAL_AMOUNT")
    Double bonusTotalAmount();

    @Parameter(name = "Data")
    java.util.List<MWFCF7Data> data();

    @Parameter(name = "ERR_MESSAGE")
    String errMessage();

    @Parameter(name = "FIRST_DRAW_AMT")
    Double firstDrawAmt();

    @Parameter(name = "INST_AMOUNT")
    Double instAmount();

    @Parameter(name = "INT_RATE")
    Double intRate();

    @Parameter(name = "LAST_INST_AMOUNT")
    Double lastInstAmount();

    @Parameter(name = "LOAN_AMOUNT")
    Double loanAmount();

    @Parameter(name = "PRODUCT_TYPE")
    String productType();

    @Parameter(name = "Pocet")
    Long pocet();

    @Parameter(name = "RPSN")
    Double rpsn();

    @Parameter(name = "SUPPL_SERVICES_AMOUNT")
    Double supplServicesAmount();

    @Parameter(name = "TERM")
    Long term();

    @Parameter(name = "TOTAL_AMOUNT")
    Double totalAmount();

}